Author or Editor: Shannon Stimack - Edit

i-Ready System Requirements

In the 2017–18 school year, the use of Adobe Flash is required for a complete experience in i-Ready
iPads cannot be used for iReady Diagnostic testing
Chromebooks

Chromebooks should be running Chrome v. 59.x or higher

  • Click on the Settings menu icon in the upper right corner of the Chrome window
  • Go to Settings
  • Click on About or About Chrome OS
  • If running a version lower than 59, click on Check for and apply updates

Screenshot 2016-07-12 at 7.27.48 AM   Screenshot 2016-07-12 at 7.28.12 AM  Screenshot 2016-07-12 at 7.30.25 AM

Macs

Check to see what version of the Mac OS you’re running:

  • Go to the Apple menu and select About This Mac
  • Look at the version number

Screen Shot 2016-07-11 at 4.03.11 PM  Screen Shot 2016-07-11 at 4.03.26 PM

As of January 1st 2017 Firefox will no longer be supported on OS X 10.8 and older.

If running 10.9.x or later, you can use either Firefox v.47.x or higher, Safari version 9.x or higher, or Chrome version 59.x or higher.

In Firefox:

  • Go to the Firefox menu and select About Firefox
  • Look at the version number
  • If running a version earlier than 47.x, submit a Help ticket

Screen Shot 2016-07-11 at 4.07.32 PM   Screen Shot 2016-07-11 at 4.07.42 PM

 

In Safari:

  • Go to the Safari menu and select About Safari
  • Look at the version number
  • If running a version earlier than 9.x, submit a Help ticket

Screen Shot 2016-07-11 at 4.14.31 PM     Screen Shot 2016-07-11 at 4.14.41 PM

In Chrome:

  • Click on the Settings menu icon in the upper right corner of the browser window
  • Go to Settings
  • Click on About or About Chrome OS
  • If running a version lower than 59, click on Check for and apply updates

Screen Shot 2016-07-11 at 4.09.48 PM     Screen Shot 2016-07-11 at 4.10.01 PM    Screen Shot 2016-07-11 at 4.10.08 PM

Last updated by stimack_shannon on 2018-03-14 07:45:22

Comments are closed.